Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Interface ProviderWebService

All Known Implementing Classes:
  `ProviderWebServiceImpl`

public interface ProviderWebService
This class was generated by the JAX-WS RI. JAX-WS RI 2.2.9-b130926.1035 Generated source version: 2.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelTransactionResult`
  `cancelTransaction(CancelTransactionArguments arguments)`
  `ChangePasswordResult`
  `changePassword(ChangePasswordArguments arguments)`
  `CheckTransactionResult`
  `checkTransaction(CheckTransactionArguments arguments)`
  `GetInformationResult`
  `getInformation(GetInformationArguments arguments)`
  `GetStatementResult`
  `getStatement(GetStatementArguments arguments)`
  `PerformTransactionResult`
  `performTransaction(PerformTransactionArguments arguments)`

- ## Method Details

  - ### performTransaction

    PerformTransactionResult performTransaction(PerformTransactionArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.PerformTransactionResult

  - ### checkTransaction

    CheckTransactionResult checkTransaction(CheckTransactionArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.CheckTransactionResult

  - ### cancelTransaction

    CancelTransactionResult cancelTransaction(CancelTransactionArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.CancelTransactionResult

  - ### getStatement

    GetStatementResult getStatement(GetStatementArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.GetStatementResult

  - ### getInformation

    GetInformationResult getInformation(GetInformationArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.GetInformationResult

  - ### changePassword

    ChangePasswordResult changePassword(ChangePasswordArguments arguments)
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.ChangePasswordResult